// Задача "Прямоугольный полигон"
// Шестая индивидуальная Интернет-олимпиада сезона 2009-2010.
// Автор задачи: Федор Царев, tsarev@rain.ifmo.ru
// Автор решения: Сергей Поромов, poromov@rain.ifmo.ru

uses
  Math;

const
  MAXS = 5000000;
  MAXP = 60000;

var
  s, p, sqrtd, t, a, b : int64;
  d : double;

procedure nosolution;
begin
  writeln(-1);
  halt;
end;

begin
  reset(input, 'rect.in');
  rewrite(output, 'rect.out');
  read(s, p);
  assert((1 <= s) and (s <= MAXS));
  assert((1 <= p) and (p <= MAXP));
  if (p mod 2 <> 0) then
    nosolution;
  d := p * p div 4 - 4 * s;
  if (d < 0) then
    nosolution;
  sqrtd := round(sqrt(d));
  if (sqrtd * sqrtd <> d) then
    nosolution;
  t := p div 2 + sqrtd;
  if (t mod 2 <> 0) then
    nosolution;
  a := t div 2;
  b := p div 2 - a;
  writeln(a, ' ', b);
end.
